package Lambda;

public class ÜbungenTestate {

	public static void main(String[] args) {
		
//		check t = (a,b) -> a +b;
//		
//		int erg = t.sumOfTwoInt(12, 12);
//		
//		System.out.println(t.sumOfTwoInt(12, 12));
//		
//		check t2 = new check(){
//			
//			@Override
//			public int sumOfTwoInt(int a, int b) {
//				
//				return a+b;
//			}
//		};
//		
//		System.out.println(t2.sumOfTwoInt(12, 3));
		int f = 10;
		int erg = test(12, 12,f, (a,b) -> a+b+f);
		System.out.println(erg);
		
		
		checkString st = s -> s.isEmpty();
		
	System.out.println(st.checkifEmpty("das"));	
	
	int f2 = add(12,a -> 12 ,12,b -> 12);
	System.out.println(f2);
	}
	
	public static int test(int a, int b,int f, check c) {
		return c.sumOfTwoInt(a,b);
	}
	
	public static int add(int Zahlx, zahlX x, int Zahly, zahlY y) {
		int er1 = x.zx(Zahlx);
		int er2 = y.zy(Zahly);
		
		return er1 + er2;
	}

	
}

interface check{
	
	int sumOfTwoInt(int a, int b);
}

interface checkString{
	
	boolean checkifEmpty(String s);
}


interface zahlX{
	
	int zx(int x);
}

interface zahlY{
	
	int zy(int y);
}


